petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectViewFromOptions

Processes command line options to determine if/how a PetscObject is to be viewed.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectViewFromOptions(PetscObject obj,PetscObject bobj,const char optionname[])

Collective on PetscObject Many br

### Input Parameters

| obj | - the object Many br
| bobj | - optional other object that provides prefix (if NULL then the prefix in obj is used) Many br
| optionname | - option to activate viewing Many br

Many br

Level:intermediate
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html